Bug 1697195 - Powerdevil SEGV in onServiceUnregistered
Summary: Powerdevil SEGV in onServiceUnregistered
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: powerdevil
Version: 30
Hardware: Unspecified
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-08 04:23 UTC by Bernie Innocenti
Modified: 2020-05-26 14:51 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-26 14:51:32 UTC
Type: Bug


Attachments (Terms of Use)

Description Bernie Innocenti 2019-04-08 04:23:14 UTC
Please update powerdevil to 5.15.3 or newer to pickup the fix for this upstream bug:
  https://bugs.kde.org/show_bug.cgi?id=403776

Comment 1 Fedora Update System 2019-04-15 14:28:50 UTC
bluedevil-5.15.4-1.fc30 breeze-gtk-5.15.4-1.fc30 grub2-breeze-theme-5.15.4-1.fc30 kactivitymanagerd-5.15.4-1.fc30 kde-cli-tools-5.15.4-1.fc30 kde-gtk-config-5.15.4-1.fc30 kdecoration-5.15.4-1.fc30 kdeplasma-addons-5.15.4-1.fc30 kgamma-5.15.4-1.fc30 khotkeys-5.15.4-1.fc30 kinfocenter-5.15.4-1.fc30 kmenuedit-5.15.4-1.fc30 kscreen-5.15.4-1.fc30 kscreenlocker-5.15.4-1.fc30 ksshaskpass-5.15.4-1.fc30 ksysguard-5.15.4-1.fc30 kwayland-integration-5.15.4-1.fc30 kwin-5.15.4-1.fc30 kwrited-5.15.4-1.fc30 libkscreen-qt5-5.15.4-1.fc30 libksysguard-5.15.4-1.fc30 pam-kwallet-5.15.4-1.fc30 plasma-breeze-5.15.4.1-1.fc30 plasma-browser-integration-5.15.4-1.fc30 plasma-desktop-5.15.4-1.fc30 plasma-discover-5.15.4-1.fc30 plasma-drkonqi-5.15.4-1.fc30 plasma-integration-5.15.4-1.fc30 plasma-milou-5.15.4-1.fc30 plasma-nm-5.15.4-1.fc30 plasma-oxygen-5.15.4-1.fc30 plasma-pa-5.15.4-1.fc30 plasma-sdk-5.15.4-1.fc30 plasma-systemsettings-5.15.4-1.fc30 plasma-user-manager-5.15.4-1.fc30 plasma-vault-5.15.4-1.fc30 plasma-workspace-5.15.4-1.fc30 plasma-workspace-wallpapers-5.15.4-1.fc30 plymouth-kcm-5.15.4-1.fc30 plymouth-theme-breeze-5.15.4-1.fc30 polkit-kde-5.15.4-1.fc30 powerdevil-5.15.4-1.fc30 sddm-kcm-5.15.4-1.fc30 xdg-desktop-portal-kde-5.15.4-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-05516d9c0d

Comment 2 Fedora Update System 2019-04-16 03:55:27 UTC
bluedevil-5.15.4-1.fc30, breeze-gtk-5.15.4-1.fc30, grub2-breeze-theme-5.15.4-1.fc30, kactivitymanagerd-5.15.4-1.fc30, kde-cli-tools-5.15.4-1.fc30, kde-gtk-config-5.15.4-1.fc30, kdecoration-5.15.4-1.fc30, kdeplasma-addons-5.15.4-1.fc30, kgamma-5.15.4-1.fc30, khotkeys-5.15.4-1.fc30, kinfocenter-5.15.4-1.fc30, kmenuedit-5.15.4-1.fc30, kscreen-5.15.4-1.fc30, kscreenlocker-5.15.4-1.fc30, ksshaskpass-5.15.4-1.fc30, ksysguard-5.15.4-1.fc30, kwayland-integration-5.15.4-1.fc30, kwin-5.15.4-1.fc30, kwrited-5.15.4-1.fc30, libkscreen-qt5-5.15.4-1.fc30, libksysguard-5.15.4-1.fc30, pam-kwallet-5.15.4-1.fc30, plasma-breeze-5.15.4.1-1.fc30, plasma-browser-integration-5.15.4-1.fc30, plasma-desktop-5.15.4-1.fc30, plasma-discover-5.15.4-1.fc30, plasma-drkonqi-5.15.4-1.fc30, plasma-integration-5.15.4-1.fc30, plasma-milou-5.15.4-1.fc30, plasma-nm-5.15.4-1.fc30, plasma-oxygen-5.15.4-1.fc30, plasma-pa-5.15.4-1.fc30, plasma-sdk-5.15.4-1.fc30, plasma-systemsettings-5.15.4-1.fc30, plasma-user-manager-5.15.4-1.fc30, plasma-vault-5.15.4-1.fc30, plasma-workspace-5.15.4-1.fc30, plasma-workspace-wallpapers-5.15.4-1.fc30, plymouth-kcm-5.15.4-1.fc30, plymouth-theme-breeze-5.15.4-1.fc30, polkit-kde-5.15.4-1.fc30, powerdevil-5.15.4-1.fc30, sddm-kcm-5.15.4-1.fc30, xdg-desktop-portal-kde-5.15.4-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 3 Ben Cotton 2020-04-30 22:12:44 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Ben Cotton 2020-05-26 14:51:32 UTC
Fedora 30 changed to end-of-life (EOL) status on 2020-05-26. Fedora 30 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.